Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core
Class AttributeStats

    java.lang.Object
      weka.core.AttributeStats

All Implemented Interfaces:
  java.io.Serializable

    public class AttributeStats

extends java.lang.Object
implements java.io.Serializable

A Utility class that contains summary information on an the values that appear in a dataset for a particular attribute.

Version:
  $Revision: 1.7 $
Author:
  Len Trigg
See Also:
  Serialized Form

Field Summary
`int` | `distinctCount` The number of distinct values
`int` | `intCount` The number of int-like values
`int` | `missingCount` The number of missing values
`int[]` | `nominalCounts` Counts of each nominal value
`Stats` | `numericStats` Stats on numeric value distributions
`int` | `realCount` The number of real-like values (i.e.
`int` | `totalCount` The total number of values (i.e.
`int` | `uniqueCount` The number of values that only appear once

Constructor Summary
`AttributeStats()`

Method Summary
`java.lang.String` | `toString()` Returns a human readable representation of this AttributeStats instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### intCount

    public int intCount

  The number of int-like values

### realCount

    public int realCount

  The number of real-like values (i.e. have a fractional part)

### missingCount

    public int missingCount

  The number of missing values

### distinctCount

    public int distinctCount

  The number of distinct values

### uniqueCount

    public int uniqueCount

  The number of values that only appear once

### totalCount

    public int totalCount

  The total number of values (i.e. number of instances)

### numericStats

    public Stats numericStats

  Stats on numeric value distributions

### nominalCounts

    public int[] nominalCounts

  Counts of each nominal value

Constructor Detail

### AttributeStats

    public AttributeStats()

Method Detail

### toString

    public java.lang.String toString()

  Returns a human readable representation of this AttributeStats instance.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String represtinging these AttributeStats.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD